package de.intevation.artifacts;

import java.util.Locale;

/**
 * Interface to build pairs of preference and quality.
 *
 * @author <a href="mailto:sascha.teichmann@intevation.de">Sascha L. Teichmann</a>
 */
public interface PreferredLocale
{
    /**
     * Returns the locale of the pair.
     * @return The locale.
     */
    Locale getLocale();
    /**
     * Returns the quality of the pair.
     * @return the quality
     */
    float getQuality();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
